Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569620 - [abrt] gnome-calendar: GCAL_IS_MANAGER(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: GCAL_IS_MANAGER(): gnome-calendar killed by SIGSEGV
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3a79ef9c704a0af92347c73a838...
: 1593743 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 15:23 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-08-02 15:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 15:35:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.06 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (365 bytes, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (29.29 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (22.48 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (2.66 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: maps (109.24 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: mountinfo (3.85 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (1.21 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: var_log_messages (12.91 KB, text/plain)
2018-04-19 15:23 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2018-04-19 15:23:26 UTC
Description of problem:
Added an entry, and it crashed.

The entry was added- I can see it now when I've restarted the application

Version-Release number of selected component:
gnome-calendar-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: GCAL_IS_MANAGER
executable:     /usr/bin/gnome-calendar
journald_cursor: s=14326aefa44342edb1e41e545a13dfd1;i=503f22;b=b2ca8a461ec446a48998ad114f8e702f;m=28d543e67a;t=56a351ae5c0cc;x=75070c52f4fd6a22
kernel:         4.16.1-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GCAL_IS_MANAGER at ../src/gcal-manager.h:33
 #1 gcal_manager_get_default_source at ../src/gcal-manager.c:1081
 #2 update_default_calendar_row at ../src/gcal-quick-add-popover.c:487
 #8 g_object_notify_queue_thaw at gobject.c:296
 #9 g_object_setv at gobject.c:2250
 #10 g_object_set_property at gobject.c:2531
 #11 on_source_notify at gbinding.c:327
 #17 g_object_notify_by_spec_internal at gobject.c:1175
 #23 g_settings_real_change_event at gsettings.c:386
 #24 ffi_call_unix64 at ../src/x86/unix64.S:76

Potential duplicate: bug 1544538

Comment 1 Ankur Sinha (FranciscoD) 2018-04-19 15:23:31 UTC
Created attachment 1424158 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2018-04-19 15:23:32 UTC
Created attachment 1424159 [details]
File: cgroup

Comment 3 Ankur Sinha (FranciscoD) 2018-04-19 15:23:33 UTC
Created attachment 1424160 [details]
File: core_backtrace

Comment 4 Ankur Sinha (FranciscoD) 2018-04-19 15:23:34 UTC
Created attachment 1424161 [details]
File: cpuinfo

Comment 5 Ankur Sinha (FranciscoD) 2018-04-19 15:23:35 UTC
Created attachment 1424162 [details]
File: dso_list

Comment 6 Ankur Sinha (FranciscoD) 2018-04-19 15:23:37 UTC
Created attachment 1424163 [details]
File: environ

Comment 7 Ankur Sinha (FranciscoD) 2018-04-19 15:23:38 UTC
Created attachment 1424164 [details]
File: exploitable

Comment 8 Ankur Sinha (FranciscoD) 2018-04-19 15:23:39 UTC
Created attachment 1424165 [details]
File: limits

Comment 9 Ankur Sinha (FranciscoD) 2018-04-19 15:23:41 UTC
Created attachment 1424166 [details]
File: maps

Comment 10 Ankur Sinha (FranciscoD) 2018-04-19 15:23:42 UTC
Created attachment 1424167 [details]
File: mountinfo

Comment 11 Ankur Sinha (FranciscoD) 2018-04-19 15:23:43 UTC
Created attachment 1424168 [details]
File: open_fds

Comment 12 Ankur Sinha (FranciscoD) 2018-04-19 15:23:44 UTC
Created attachment 1424169 [details]
File: proc_pid_status

Comment 13 Ankur Sinha (FranciscoD) 2018-04-19 15:23:45 UTC
Created attachment 1424170 [details]
File: var_log_messages

Comment 14 Hadi 2018-06-21 13:43:17 UTC
*** Bug 1593743 has been marked as a duplicate of this bug. ***

Comment 15 Igor Raits 2018-08-02 15:35:41 UTC
Please test with latest updates and reopen if still reproducible.


Note You need to log in before you can comment on or make changes to this bug.